<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!-- Copyright (c) 2020 ChromaWay AB. See README for license information. -->

<dict>
    <entry key="blockstrategy">
        <!--
        This block strategy is the default one if no config is made
        maxblocktime=30000 (milliseconds)
        blockdelay=1000 (milliseconds)
        -->
        <dict>
            <entry key="name">
                <string>net.postchain.base.BaseBlockBuildingStrategy</string>
            </entry>
        </dict>
    </entry>
    <entry key="configurationfactory">
        <!--
        This is the main blockchain configuration class for chain 1
        Examples:
        * Single node GTX: SingleNodeGtxBlockchainConfigurationFactory
        * Normal Gtx: GTXBlockchainConfigurationFactory
        -->
        <string>net.postchain.gtx.GTXBlockchainConfigurationFactory</string>
    </entry>

    <entry key="gtx">
        <!--
        If multiple GTX modules are used, allowoverrides will decide if query- and operation names of
        modules are overridable. If false (default) an error will be thrown on startup if two or more
        modules have name collisions. If true, The last module with a colliding name will take precedence
        (blockchain.1.gtx.allowoverrides=true).
        -->
        <dict>
            <entry key="modules">
                <array>
                    <string>com.chromia.cli.d1.ClusterManagementGTXModule</string>
                    <string>com.chromia.cli.d1.NopAnchoringGTXModule</string>
                    <string>net.postchain.gtx.StandardOpsGTXModule</string>
                </array>
            </entry>
        </dict>
    </entry>
</dict>
